#!/usr/bin/env python

import os
import sys

from appspiderproapi import __version__ as version

try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

with open('README.rst', 'r') as f:
    readme = f.read()

# Publish helper
if sys.argv[-1] == 'build':
    os.system('python setup.py sdist bdist_wheel')
    sys.exit(0)

if sys.argv[-1] == 'install':
    os.system('python setup.py sdist --formats=zip')
    sys.exit(0)

setup(
    name='appspiderproapi',
    packages=['appspiderproapi'],
    version=version,
    description='Python library for AppSpider Professional RESTFul API endpoints.',
    long_description=readme,
    author='Brandon Spruth',
    author_email='brandon@spruth.co',
    url='https://github.com/xolian/appspiderproapi',
    download_url='https://github.com/xolian/appspiderproapi/tarball/' + version,
    license='MIT',
    zip_safe=True,
    install_requires=['requests'],
    keywords=['appspider', 'api', 'security', 'software', 'rapid7', 'appspiderpro', 'ntobjectives', 'dast'],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'License :: OSI Approved :: MIT License',
        'Topic :: Software Development',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Programming Language :: Python :: 3.0',
        'Programming Language :: Python :: 3.7'
    ]
)
